package MKR2;

import org.junit.Test;
import org.testng.Assert;
//import org.testng.annotations.Test;

public class MathFunctionsTest {

    @Test
    public void calculates1to5() {
        Assert.assertEquals(1, MathFunctions.Factorial(0));
        Assert.assertEquals(1, MathFunctions.Factorial(1));
        Assert.assertEquals(2, MathFunctions.Factorial(2));
        Assert.assertEquals(6, MathFunctions.Factorial(3));
        Assert.assertEquals(24, MathFunctions.Factorial(4));
        Assert.assertEquals(120, MathFunctions.Factorial(5));
    }

    @Test(expected = IllegalArgumentException.class)
    public void testInputException() {
        MathFunctions.Factorial(-10);
    }
}
