package MKR2;

import java.util.Iterator;

public class SimpleList<E> implements Iterable<E> {
    private Object[] elements;
    private int size;

    public void Simplelist(int size) {
        this.elements = new Object[size];
        this.size = size;
    }

    public void add(E element) {
        elements[size++] = element;
    }

    @Override
    public Iterator<E> iterator() {
        return new Iterator<E>() {
            private int currentIndex = 0;

            @Override
            public boolean hasNext() {
                return currentIndex < elements.length - 1;
            }

            @Override
            public E next() {
                if (hasNext()) {
                    return (E) elements[currentIndex++];
                }

                return null;
            }
        };
    }
}

