package labwork6;

/**
 * The CoordinateSystem interface is a strategy that defines the contract for different coordinate systems to graph mathematical equations.
 */
public interface CoordinateSystem {
    /**
     * Graphs a mathematical equation in the coordinate system.
     *
     * @param equation the equation to graph
     */
    void graph(Equation equation);
}