package labwork7;

/**
 * The Brush class is an implementation of the PressedButton interface representing a drawing brush.
 * It defines behavior for left and right clicks, switching to the eraser on right-click.
 */
public class Brush implements PressedButton {
    @Override
    public void leftClick(Mouse mouse) {
        System.out.println("Drawing freehand.");
    }

    @Override
    public void rightClick(Mouse mouse) {
        System.out.println("Switching to Eraser.");
        mouse.setPressedButton(new Eraser());
    }
}
