package labwork7;

/**
 * The Eraser class is an implementation of the PressedButton interface representing an eraser.
 * It defines behavior for left and right clicks, switching to the brush on right-click.
 */
public class Eraser implements PressedButton {
    @Override
    public void leftClick(Mouse mouse) {
        System.out.println("Erasing freehand.");
    }

    @Override
    public void rightClick(Mouse mouse) {
        System.out.println("Switching to Brush.");
        mouse.setPressedButton(new Brush());
    }
}
