package labwork7;

/**
 * The Nothing class is an implementation of the PressedButton interface representing an inactive state.
 * It defines behavior for left and right clicks, doing nothing in both cases.
 */
public class Nothing implements PressedButton {
    @Override
    public void leftClick(Mouse mouse) {
        System.out.println("Doing nothing.");
    }

    @Override
    public void rightClick(Mouse mouse) {
        System.out.println("Doing even more nothing.");
    }
}
