package labwork8;

/**
 * The GameWorldPrototype interface declares methods for creating shallow and deep copies of a GameWorld.
 */
public interface GameWorldPrototype {
    /**
     * Creates a shallow copy of the GameWorld.
     *
     * @return a shallow copy of the GameWorld
     */
    GameWorld shallowCopy();

    /**
     * Creates a deep copy of the GameWorld.
     *
     * @return a deep copy of the GameWorld
     */
    GameWorld deepCopy();
}
