package labwork8;

import java.util.Arrays;

public class Main {
    public static void main(String[] args) {
        GameWorld golarion = new GameWorld("Golarion", new NPC("Ezren"), new Location("Absalom"));

        copyAndCheck(golarion);
    }

    public static void copyAndCheck(GameWorld world) {
        GameWorld shallowCopy = world.shallowCopy();
        GameWorld deepCopy = world.deepCopy();

        System.out.println("Checking shallow copy.");
        checkCopies(world, shallowCopy);
        System.out.println();

        System.out.println("Checking deep copy.");
        checkCopies(world, deepCopy);
    }

    public static void checkCopies(GameWorld world, GameWorld copy) {
        System.out.println("Name equal by reference: " + (world.getName() == copy.getName()));
        System.out.println("Name equal by value: " + world.getName().equals(copy.getName()));
        System.out.println("Components equal by reference: " + (world.getGameWorldComponents() == copy.getGameWorldComponents()));
        System.out.println("Components equal by value: " + Arrays.equals(world.getGameWorldComponents(), copy.getGameWorldComponents()));
    }
}
