package labwork9;

/**
 * The GUIFactory interface declares methods for creating buttons, canvases, and text fields.
 */
public interface GUIFactory {
    /**
     * Creates a button.
     *
     * @return the created button
     */
    Button createButton();

    /**
     * Creates a canvas.
     *
     * @return the created canvas
     */
    Canvas createCanvas();

    /**
     * Creates a text field.
     *
     * @return the created text field
     */
    TextField createTextField();
}
