package labwork9;

/**
 * The WinAPIFactory class is an implementation of the GUIFactory interface for WinAPI.
 */
public class WinAPIFactory implements GUIFactory {
    @Override
    public Button createButton() {
        return new WinAPIButton();
    }

    @Override
    public Canvas createCanvas() {
        return new WinAPICanvas();
    }

    @Override
    public TextField createTextField() {
        return new WinAPITextField();
    }
}
