package labwork5;

public class Main {
    public static void main(String[] args) {
        ConcreteMediator mediator = new ConcreteMediator();
        Button copyButton1 = new Button("Copy Button 1", mediator);

        TextField textField1 = new TextField("Text Field 1", mediator, "amet est placerat in egestas erat imperdiet sed euismod nisi");
        TextField textField2 = new TextField("Text Field 2", mediator, "auctor urna nunc id cursus metus aliquam eleifend");
        TextField textField3 = new TextField("Text Field 3", mediator, "integer eget aliquet nibh praesent tristique magna sit");

        Canvas canvas = new Canvas("Canvas 1", mediator);

        mediator.addElement(copyButton1);
        mediator.addElement(textField1);
        mediator.addElement(textField2);
        mediator.addElement(textField3);
        mediator.addElement(canvas);

        copyButton1.sendUpdate("Copied to clipboard with " + copyButton1.getId());
        System.out.println();

        textField1.sendUpdate("Cleared text from " + textField1.getId());
        System.out.println();
        textField2.sendUpdate("Changed text in " + textField2.getId());
        System.out.println();
        textField3.sendUpdate("Added text to " + textField3.getId());
        System.out.println();

        canvas.sendUpdate("Moved a shape inside " + canvas.getId());
    }
}
