package labwork6;

/**
 * The CartesianSystem class implements the CoordinateSystem interface and graphs equations in Cartesian coordinates.
 */
public class CartesianSystem implements CoordinateSystem {

    /**
     * Graphs a mathematical equation in Cartesian coordinates.
     *
     * @param equation the equation to graph
     */
    @Override
    public void graph(Equation equation) {
        System.out.println("Graphing " + equation.getExpression() + " in Cartesian coordinates.");
    }
}
