package labwork6;

/**
 * The PolarSystem class implements the CoordinateSystem interface and graphs equations in polar coordinates.
 */
public class PolarSystem implements CoordinateSystem {

    /**
     * Graphs a mathematical equation in polar coordinates.
     *
     * @param equation the equation to graph
     */
    @Override
    public void graph(Equation equation) {
        System.out.println("Graphing " + equation.getExpression() + " in polar coordinates.");
    }
}
