package labwork7;

/**
 * The Fill class is an implementation of the PressedButton interface representing a fill tool.
 * It defines behavior for left and right clicks, unpressing the button on right-click.
 */
public class Fill implements PressedButton {
    @Override
    public void leftClick(Mouse mouse) {
        System.out.println("Filling in.");
    }

    @Override
    public void rightClick(Mouse mouse) {
        System.out.println("Unpressing the button.");
        mouse.setPressedButton(new Nothing());
    }
}
