package labwork9;

/**
 * The GTKFactory class is an implementation of the GUIFactory interface for GTK.
 */
public class GTKFactory implements GUIFactory {
    @Override
    public Button createButton() {
        return new GTKButton();
    }

    @Override
    public Canvas createCanvas() {
        return new GTKCanvas();
    }

    @Override
    public TextField createTextField() {
        return new GTKTextField();
    }
}
